## modello 0.1

=== DESCRIPTION ===
Package: modello
Title: Homemade Deep Learning Library
Version: 0.1
Date: 2021-01-1<c2><a1>27 20:00:00
Authors@R: c(person("Filippo", "Monari", role = c("aut", "cre"), email = "ingfimo@gmail.com"))
Author: Filippo Monari [aut, cre]
Maintainer: Filippo Monari <ingfimo@gmail.com>
Description: Allows to build and train  different flavors of Neural Networks. 
             In particular, it can be used to build fairly complex computational graphs, 
             which ca be automatically differentiated and optimized with gradient descent
	     methods.
URL: https://gitlab.com/ingfimo/modello
Depends: R (>= 4.0.0), methods, R6, LaF, foreach, doParallel
Suggests: testthat
Collate: 'modello.R' 'interfaces.R' 'session.R' 'numbers.R'
        'numbers_math.R' 'utils.R' 'graphs.R' 'modules.R' 'optim.R'
        'dataLoaders.R'
License: GPL-2
OS_type: unix
NeedsCompilation: yes
Packaged: 2021-01-27 19:18:39 UTC; filippo
RoxygenNote: 7.1.0
Repository: CRAN
Date/Publication: 2021-02-01 09:00:03 UTC

=== src/Makefile ===
#  This file is part of Modello.
#
#  Modello is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#  
#  Modello is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#  MA 02110-1301, USA.

RBIN = "${R_HOME}/bin/R"

.PHONY: clean

all: modello.so clean

modello.so: Rinterfaces.c \
	env.o \
	types.o \
	registers.o \
	utils.o \
	errwarn.o \
	Rfuns.o\
	math.o \
	operators.o \
	node_operators.o \
	numbers_utils.o \
	nodes_utils.o\
	nodes.o \
	numbers.o \
	numbers_modifiers.o \
	numbers_math.o \
	optim_utils.o \
	sgd.o \
	interfaces.o 
	${RBIN} CMD SHLIB -o modello.so \
		Rinterfaces.c \
		env.o \
		types.o \
		registers.o \
		utils.o \
		errwarn.o \
		Rfuns.o \
		math.o \
		operators.o \
		node_operators.o \
		numbers_utils.o \
		nodes_utils.o \
		nodes.o \
		numbers.o \
		numbers_modifiers.o \
		numbers_math.o\
		optim_utils.o \
		sgd.o \
		interfaces.o

#R functions
Rfuns.o: Rfuns.c
	${RBIN} CMD COMPILE Rfuns.c
#Environmental parameters
env.o: env.f95		
	${RBIN} CMD COMPILE env.f95
types.o: types.f95
	${RBIN} CMD COMPILE types.f95
#Registers
registers.o: registers.f95 types.o
	${RBIN} CMD COMPILE registers.f95
#Errors and warnings
errwarn.o: errwarn.f95 env.o types.o registers.o Rfuns.o
	${RBIN} CMD COMPILE errwarn.f95
#Utility functions
utils.o: utils.f95 errwarn.o
	${RBIN} CMD COMPILE utils.f95
#Math
math.o: math.f95 env.o errwarn.o Rfuns.o
	${RBIN} CMD COMPILE math.f95
#Numbers utilities
numbers_utils.o: numbers_utils.f95 env.o types.o registers.o errwarn.o utils.o
	${RBIN} CMD COMPILE numbers_utils.f95
#Nodes utilities
nodes_utils.o: nodes_utils.f95 env.o types.o errwarn.o utils.o numbers_utils.o
	${RBIN} CMD COMPILE nodes_utils.f95
#Operators
operators.o: operators.f95 env.o types.o errwarn.o math.o numbers_utils.o 
	${RBIN} CMD COMPILE operators.f95
#Node operators
node_operators.o: node_operators.f95 types.o registers.o operators.o
	${RBIN} CMD COMPILE node_operators.f95
#Nodes
nodes.o: nodes.f95 env.o types.o registers.o errwarn.o utils.o numbers_utils.o nodes_utils.o node_operators.o 
	${RBIN} CMD COMPILE nodes.f95	
#Numbers
numbers.o: numbers.f95 env.o types.o registers.o errwarn.o utils.o numbers_utils.o nodes.o
	${RBIN} CMD COMPILE numbers.f95
#Numbers modifiers
numbers_modifiers.o: numbers_modifiers.f95 env.o errwarn.o nodes.o numbers.o
	${RBIN} CMD COMPILE numbers_modifiers.f95
#Numbers math
numbers_math.o: numbers_math.f95 env.o types.o registers.o errwarn.o math.o nodes.o operators.o numbers_utils.o numbers.o 
	${RBIN} CMD COMPILE numbers_math.f95
#Optim utils
optim_utils.o: optim_utils.f95 env.o errwarn.o registers.o
	${RBIN} CMD COMPILE optim_utils.f95
#SGD
sgd.o: sgd.f95 env.o errwarn.o math.o nodes.o optim_utils.o
	${RBIN} CMD COMPILE sgd.f95
#Fortran nterfaces
interfaces.o: interfaces.f95 errwarn.o utils.o math.o nodes.o optim_utils.o
	${RBIN} CMD COMPILE interfaces.f95 
clean:
	rm *.mod
	rm *.o

## modello 0.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: modello
 Title: Homemade Deep Learning Library
-Version: 0.1
-Date: 2021-01-1<c2><a1>27 20:00:00
+Version: 0.1.1
+Date: 2021-02-01 19:00:00
 Authors@R: c(person("Filippo", "Monari", role = c("aut", "cre"), email = "ingfimo@gmail.com"))
 Author: Filippo Monari [aut, cre]
 Maintainer: Filippo Monari <ingfimo@gmail.com>
@@ -18,7 +18,7 @@
 License: GPL-2
 OS_type: unix
 NeedsCompilation: yes
-Packaged: 2021-01-27 19:18:39 UTC; filippo
+Packaged: 2021-02-01 18:10:07 UTC; filippo
 RoxygenNote: 7.1.0
 Repository: CRAN
-Date/Publication: 2021-02-01 09:00:03 UTC
+Date/Publication: 2021-02-02 01:10:06 UTC

## modello 1.1

=== debian/changelog ===
modello (1.1-2) unstable; urgency=low

  * Change Build-Depends: default-jdk-doc. (Closes: #567286)
  * Remove Paul from Uploaders.
  * Update Standards-Version: 3.8.4
  * Switch to source format 3.0.

 -- Torsten Werner <twerner@debian.org>  Sun, 11 Apr 2010 17:18:12 +0200

modello (1.1-1) unstable; urgency=low

  * New upstream release.
  * Build-Depends on debhelper >= 7.
  * Added myself to Uploaders.
  * Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Mon, 28 Sep 2009 09:28:10 +0200

modello (1.0.1-4) unstable; urgency=low

  * Add versioned dependency on libplexus-containers-java
    to avoid FTBFS on other packages

 -- Ludovic Claude <ludovic.claude@laposte.net>  Fri, 04 Sep 2009 21:43:49 +0100

modello (1.0.1-3) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Aug 2009 23:00:01 +0200

modello (1.0.1-2) experimental; urgency=low

  * New upstream release.
  * Add myself to Uploaders.
  * Add descriptors for the Maven repository
  * Remove modello-maven-plugin from this package as it was missing some
    essential Maven descriptors, move it in a separate package
    (modello-maven-plugin), remove modello-test from the build as well.  
  * Add Depends: for libmodello-java and libplexus-build-api-java
  * Add a Build-Depends-Indep dependency on maven-repo-helper and 
    libplexus-build-api-java
  * Remove the dependency on maven2, as it was needed only for the modello 
    plugin, replace it by a Recommends: 
  * Use mh_installpom and mh_installjar to install the POM and the jar to the
    Maven repository
  * debian/rules: add java plugin, remove jpox,plexus-registry,store plugins,
    remove base module db-keywords 
  * update build.properties and build.xml for the new version

 -- Ludovic Claude <ludovic.claude@laposte.net>  Mon, 06 Jul 2009 22:37:50 +0100

modello (1.0-alpha-21-3) unstable; urgency=low

  * Change debian/rules to really use default-jdk.

 -- Torsten Werner <twerner@debian.org>  Mon, 06 Jul 2009 22:16:42 +0200

modello (1.0-alpha-21-2) unstable; urgency=low

  * Change Section: java.
  * Add missing Depends: ${misc:Depends}.
  * Update Standards-Version: 3.8.2 (no changes).
  * Switch to default-jdk. (Closes: #526291)

 -- Torsten Werner <twerner@debian.org>  Wed, 01 Jul 2009 22:54:30 +0200

modello (1.0-alpha-21-1) experimental; urgency=low

  * New upstream release.
  * Add myself to Uploaders.
  * Add watch file.
  * Add Vcs-* and Homepage header.
  * Bump up Standards-Version: 3.8.0.
  * Build all modules, plugins, and javadoc.
  * Refactor the build process.

 -- Torsten Werner <twerner@debian.org>  Sat, 29 Nov 2008 13:40:56 +0100

modello (1.0-alpha-8-1) unstable; urgency=low

  * Initial release. (Closes: 421626)

 -- Paul Cager <paul-debian@home.paulcager.org>  Mon, 18 Jun 2007 16:15:16 +0100

=== debian/control ===
Source: modello
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Torsten Werner <twerner@debian.org>,
 Ludovic Claude <ludovic.claude@laposte.net>, Michael Koch <konqueror@gmx.de>
Build-Depends-Indep: maven-repo-helper, maven-ant-helper (>> 4), ant, ant-optional, 
 default-jdk-doc, junit, libplexus-containers-java-doc, libplexus-utils-java-doc, 
 libplexus-compiler-api-java, libplexus-compiler-javac-java,
 libplexus-build-api-java, libplexus-containers-java (>= 1.0~beta3.0.7)
Build-Depends: debhelper (>= 7), cdbs (>= 0.4.5.3), default-jdk
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/modello
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/modello/
Homepage: http://modello.codehaus.org

Package: libmodello-java
Architecture: all
Depends: ${misc:Depends}, libplexus-build-api-java, libplexus-containers-java (>= 1.0~beta3.0.7)
Recommends: libmaven2-core-java
Suggests: maven2, libmodello-java-doc
Description: a Data Model toolkit in use by the Maven 2 Project
 Once a DataModel is defined, the toolkit can be used to generate any of the
 following at compile time.
 .
    * Java Pojos of the DataModel.
    * Java Pojos to XML Writer. (provided via xpp3, stax, jdom or dom4j)
    * XML to Java Pojos Reader. (provided via xpp3, stax or dom4j)
    * XDOC documentation of the DataModel.
    * XML Schema to validate the DataModel.
 .
 Modello is used to build the maven system.

Package: libmodello-java-doc
Architecture: all
Section: doc
Depends: default-jdk-doc, ${misc:Depends}
Suggests: libmodello-java
Description:  a Data Model toolkit in use by the Maven 2 Project
 Once a DataModel is defined, the toolkit can be used to generate any of the
 following at compile time.
 .
    * Java Pojos of the DataModel.
    * Java Pojos to XML Writer. (provided via xpp3, stax, jdom or dom4j)
    * XML to Java Pojos Reader. (provided via xpp3, stax or dom4j)
    * XDOC documentation of the DataModel.
    * XML Schema to validate the DataModel.
 .
 Modello is used to build the maven system.
 .
 This package provides the API documentation for Modello.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

PACKAGE              := $(DEB_SOURCE_PACKAGE)
VERSION              := $(DEB_UPSTREAM_VERSION)
JAVA_HOME            := /usr/lib/jvm/default-java
DEB_JARS             := ant-nodeps junit plexus-build-api plexus-compiler-api \
  plexus-compiler-javac plexus-velocity plexus-utils velocity
DEB_ANT_BUILD_TARGET := package javadoc
DEB_ANT_BUILDFILE    := debian/build.xml
DEB_ANT_ARGS         := -Dpackage=$(PACKAGE) -Dversion=$(VERSION)
API_DOCS             := build/api
BASE_MODULES         := core
PLUGINS              := converters dom4j java jdom stax xdoc \
  xml xpp3 xsd

get-orig-source:
	uscan --force-download --download-version $(VERSION) --rename

binary-post-install/lib$(PACKAGE)-java::
	mh_installpoms -plib$(PACKAGE)-java 
	set -e; for MODULE in $(BASE_MODULES); do \
	  mh_installjar -plib$(PACKAGE)-java -l modello-$$MODULE/pom.xml modello-$$MODULE/build/$(PACKAGE)-$$MODULE-$(VERSION).jar; \
	done
	set -e; for MODULE in $(PLUGINS); do \
	  mh_installjar -plib$(PACKAGE)-java -l modello-plugins/modello-plugin-$$MODULE/pom.xml modello-plugins/modello-plugin-$$MODULE/build/$(PACKAGE)-plugin-$$MODULE-$(VERSION).jar; \
	done

binary-post-install/lib$(PACKAGE)-java-doc::
	dh_install -plib$(PACKAGE)-java-doc $(API_DOCS) usr/share/doc/lib$(PACKAGE)-java

clean::
	-rm -rf debian/tmp

=== debian/watch ===
version=3
https://svn.codehaus.org/modello/tags/ modello-(\d.*)/ debian debian/orig-tar.sh

## modello 1.8.3

=== debian/changelog ===
modello (1.8.3-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 04 Mar 2016 16:12:53 +0100

modello (1.8.3-2) unstable; urgency=medium

  * Team upload.
  * Build with maven-debian-helper
  * Depend on libplexus-container-default1.5-java instead
    of libplexus-containers-java
  * Standards-Version updated to 3.9.7 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 16 Feb 2016 11:55:35 +0100

modello (1.8.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Added a patch preserving the compatibility with plexus-utils 1.x

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 09 Jul 2015 12:46:15 +0200

modello1.4 (1.4.1-3) unstable; urgency=medium

  * Team upload.
  * debian/watch: Updated the URL of the page watched
  * Standards-Version updated to 3.9.6 (no changes)
  * debian/copyright: Converted to the Copyright Format 1.0
  * Use XZ compression for the upstream tarball

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 11 Mar 2015 17:14:52 +0100

modello1.4 (1.4.1-2) unstable; urgency=low

  * Team upload
  * debian/control:
    - Build depend directly on libplexus-compiler-java
    - Removed Michael Koch from the uploaders (Closes: #654120)
    - Use canonical URLs for the Vcs-* fields
    - Updated Standards-Version to 3.9.5 (no changes)
    - Fixed the lintian warnings related to the package descriptions
  * debian/rules: Improved the clean target
  * Switch to debhelper level 9
  * debian/watch: Updated to watch the new release tags on Github
  * debian/orig-tar.sh: Use the tarball from Github instead of the SVN tag

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 06 Nov 2013 15:34:06 +0100

modello1.4 (1.4.1-1) unstable; urgency=low

  * New upstream release:
    - based on modello source package.
    - require new source package to avoid conflict between Maven 2 / Maven 3.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 04 Dec 2011 03:01:18 +0100

=== debian/control ===
Source: modello
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Torsten Werner <twerner@debian.org>,
           Ludovic Claude <ludovic.claude@laposte.net>,
           Damien Raude-Morvan <drazzib@debian.org>
Build-Depends: debhelper (>= 9), default-jdk
Build-Depends-Indep: default-jdk-doc,
                     junit,
                     libmaven-dependency-plugin-java,
                     libmaven-javadoc-plugin-java,
                     libplexus-build-api-java,
                     libplexus-compiler-java,
                     libplexus-containers1.5-java,
                     maven-debian-helper
Standards-Version: 3.9.7
Vcs-Git: git://anonscm.debian.org/pkg-java/modello.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/modello.git
Homepage: http://modello.codehaus.org

Package: libmodello-java
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends}
Suggests: ${maven:OptionalDepends}, libmodello-java-doc
Description: Data Model toolkit in use by the Maven 2 Project
 Once a DataModel is defined, the toolkit can be used to generate any of the
 following at compile time.
 .
    * Java Pojos of the DataModel.
    * Java Pojos to XML Writer. (provided via xpp3, stax, jdom or dom4j)
    * XML to Java Pojos Reader. (provided via xpp3, stax or dom4j)
    * XDOC documentation of the DataModel.
    * XML Schema to validate the DataModel.
 .
 Modello is used to build the maven system.

Package: libmodello-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${maven:DocDepends}
Suggests: libmodello-java
Description: Data Model toolkit in use by the Maven 2 Project (documentation)
 Once a DataModel is defined, the toolkit can be used to generate any of the
 following at compile time.
 .
    * Java Pojos of the DataModel.
    * Java Pojos to XML Writer. (provided via xpp3, stax, jdom or dom4j)
    * XML to Java Pojos Reader. (provided via xpp3, stax or dom4j)
    * XDOC documentation of the DataModel.
    * XML Schema to validate the DataModel.
 .
 Modello is used to build the maven system.
 .
 This package provides the API documentation for Modello.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=maven

get-orig-source:
	uscan --force-download --download-current-version --rename

## modello 1.9.1

=== debian/changelog ===
modello (1.9.1-3) unstable; urgency=medium

  * Team upload.
  * Added the missing build dependency on libjsoup-java (Closes: #882406)
  * Depend on libplexus-container-default-java
    instead of libplexus-container-default1.5-java
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 22 Nov 2017 12:54:38 +0100

modello (1.9.1-2) unstable; urgency=medium

  * Team upload.
  * Added the missing Maven rules to ensure Maven 3 is used
  * Standards-Version updated to 4.0.0

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 25 Jul 2017 17:46:34 +0200

modello (1.9.1-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 19 Jun 2017 15:30:39 +0200

modello (1.9.1-1~exp2) experimental; urgency=medium

  * Team upload.
  * Rebuild with maven-debian-helper (>= 2.2~)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 22 May 2017 12:13:52 +0200

modello (1.9.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Updated the URL of the project homepage
  * Switch to debhelper level 10
  * Removed debian/orig-tar.sh

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 18 May 2017 15:58:47 +0200

modello (1.8.3-3) unstable; urgency=medium

  * Team upload.
  * Added an explicit build dependency on libjdom1-java (Closes: #829102)
  * Standards-Version updated to 3.9.8
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 30 Jun 2016 18:14:58 +0200

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,27 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Torsten Werner <twerner@debian.org>,
-           Ludovic Claude <ludovic.claude@laposte.net>,
-           Damien Raude-Morvan <drazzib@debian.org>
-Build-Depends: debhelper (>= 9), default-jdk
-Build-Depends-Indep: default-jdk-doc,
-                     junit,
-                     libmaven-dependency-plugin-java,
-                     libmaven-javadoc-plugin-java,
-                     libplexus-build-api-java,
-                     libplexus-compiler-java,
-                     libplexus-containers1.5-java,
-                     maven-debian-helper
-Standards-Version: 3.9.7
-Vcs-Git: git://anonscm.debian.org/pkg-java/modello.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/modello.git
-Homepage: http://modello.codehaus.org
+Uploaders:
+ Torsten Werner <twerner@debian.org>,
+ Ludovic Claude <ludovic.claude@laposte.net>,
+ Damien Raude-Morvan <drazzib@debian.org>
+Build-Depends:
+ debhelper (>= 10),
+ default-jdk,
+ default-jdk-doc,
+ junit,
+ libjdom1-java,
+ libjsoup-java,
+ libmaven-dependency-plugin-java,
+ libmaven-javadoc-plugin-java,
+ libplexus-build-api-java,
+ libplexus-compiler-java,
+ libplexus-container-default-java (>= 1.7.1-6~),
+ maven-debian-helper (>= 2.2~)
+Standards-Version: 4.1.1
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/modello.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/modello.git
+Homepage: http://codehaus-plexus.github.io/modello/
 
 Package: libmodello-java
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

get-orig-source:
	uscan --force-download --download-current-version --rename

## modello 1.11

=== debian/changelog ===
modello (1.11-2) unstable; urgency=medium

  * Team upload.
  * Ignore the dependency on xerces and xml-apis (Closes: #1086297)
  * Standards-Version updated to 4.7.0
  * Switch to debhelper level 13

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 30 Oct 2024 00:00:14 +0100

modello (1.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Depend on junit4 instead of junit
  * Removed the -java-doc package
  * Standards-Version updated to 4.3.0

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 07 Jul 2019 16:24:58 +0200

modello (1.9.1-4) unstable; urgency=medium

  * Team upload.
  * Ignore the dependency on the StAX API (provided by the JDK)
  * Removed Damien Raude-Morvan from the uploaders (Closes: #889390)
  * Standards-Version updated to 4.1.5
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 30 Jul 2018 23:37:01 +0200

=== debian/control ===
Source: modello
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Torsten Werner <twerner@debian.org>,
 Ludovic Claude <ludovic.claude@laposte.net>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 junit4,
 libjdom1-java,
 libjsoup-java,
 libmaven-dependency-plugin-java,
 libplexus-build-api-java,
 libplexus-compiler-java,
 libplexus-container-default-java (>= 1.7.1-6~),
 maven-debian-helper (>= 2.2~)
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/java-team/modello.git
Vcs-Browser: https://salsa.debian.org/java-team/modello
Homepage: http://codehaus-plexus.github.io/modello/

Package: libmodello-java
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends}
Suggests: ${maven:OptionalDepends}
Description: Data Model toolkit in use by the Maven 2 Project
 Once a DataModel is defined, the toolkit can be used to generate any of the
 following at compile time.
 .
    * Java Pojos of the DataModel.
    * Java Pojos to XML Writer. (provided via xpp3, stax, jdom or dom4j)
    * XML to Java Pojos Reader. (provided via xpp3, stax or dom4j)
    * XDOC documentation of the DataModel.
    * XML Schema to validate the DataModel.
 .
 Modello is used to build the maven system.

=== debian/watch ===
version=3
https://github.com/codehaus-plexus/modello/tags .*/modello-(\d.*).tar.gz
